public static class CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
httpHeader
The header of the HTTP request.
|
String |
httpMethod
The HTTP request method.
|
Boolean |
httpNegative
The method to trigger an alert.
|
String |
httpPostContent
The content of the HTTP POST request.
|
String |
httpResponseCharset
The character set that is used in the HTTP response.
|
String |
httpResponseMatchContent
The response to the HTTP request.
|
String |
httpURI
The URI that you want to monitor.
|
Integer |
interval
The interval at which detection requests are sent.
|
String |
telnetOrPingHost
The domain name or IP address that you want to monitor.
|
| 构造器和说明 |
|---|
CreateHostAvailabilityRequestTaskOption() |
@NameInMap(value="HttpHeader") public String httpHeader
The header of the HTTP request. Format: Parameter name:Parameter value. Separate multiple parameters with carriage return characters. Example:
params1:value1
params2:value2
example:
token:testTokenValue
@NameInMap(value="HttpMethod") public String httpMethod
The HTTP request method. Valid values:
example:This parameter must be specified when TaskType is set to HTTP.
GET
@NameInMap(value="HttpNegative") public Boolean httpNegative
The method to trigger an alert. The alert can be triggered based on whether the specified alert rule is included in the response body. Valid values:
example:This parameter must be specified when TaskType is set to HTTP.
true
@NameInMap(value="HttpPostContent") public String httpPostContent
The content of the HTTP POST request.
example:params1=paramsValue1
@NameInMap(value="HttpResponseCharset") public String httpResponseCharset
The character set that is used in the HTTP response.
example:Only UTF-8 is supported.
UTF-8
@NameInMap(value="HttpResponseMatchContent") public String httpResponseMatchContent
The response to the HTTP request.
example:ok
@NameInMap(value="HttpURI") public String httpURI
The URI that you want to monitor. This parameter is required if the TaskType parameter is set to HTTP or Telnet.
example:@NameInMap(value="Interval") public Integer interval
The interval at which detection requests are sent. Unit: seconds. Valid values: 15, 30, 60, 120, 300, 900, 1800, and 3600.
example:This parameter is available only for the CloudMonitor agent V3.5.1 or later.
60
@NameInMap(value="TelnetOrPingHost") public String telnetOrPingHost
The domain name or IP address that you want to monitor.
example:This parameter is required if the TaskType parameter is set to PING.
public static CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption build(Map<String,?> map) throws Exception
Exceptionpublic CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setHttpHeader(String httpHeader)
public String getHttpHeader()
public CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setHttpMethod(String httpMethod)
public String getHttpMethod()
public CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setHttpNegative(Boolean httpNegative)
public Boolean getHttpNegative()
public CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setHttpPostContent(String httpPostContent)
public String getHttpPostContent()
public CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setHttpResponseCharset(String httpResponseCharset)
public String getHttpResponseCharset()
public CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setHttpResponseMatchContent(String httpResponseMatchContent)
public String getHttpResponseMatchContent()
public CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setHttpURI(String httpURI)
public String getHttpURI()
public CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setInterval(Integer interval)
public Integer getInterval()
public CreateHostAvailabilityRequest.CreateHostAvailabilityRequestTaskOption setTelnetOrPingHost(String telnetOrPingHost)
public String getTelnetOrPingHost()
Copyright © 2026. All rights reserved.